﻿* Encoding: UTF-8.

* Syntax for Soccer supporter, personality, identification, and CN Study
* Author: Joanna Lindstrom

* Reverse-scoring ** note that you may need to manually select "run pending transformations" if it takes a long time to compute new variables
    
COMPUTE r.CN7R = 8 - CN7R.
COMPUTE r.HH1R = 8 - HH1R.
COMPUTE r.HH2R = 8 - HH2R.
COMPUTE r.HH3R = 8 - HH3R.
COMPUTE r.HH4R = 8 - HH4R.
COMPUTE r.HH7R = 8 - HH7R.
COMPUTE r.HH9R = 8 - HH9R.

COMPUTE r.VI4R = 8 - VI4R.
COMPUTE r.VI5R = 8 - VI5R.
COMPUTE r.VI7R = 8 - VI7R.


* Computing relevant variables
    

COMPUTE ID=MEAN(H1, H2, H3).
EXECUTE.

COMPUTE HH=MEAN(r.HH1R, r.HH2R, r.HH3R, r.HH4R, HH5, HH6, r.HH7R, HH8, r.HH9R, HH10).
EXECUTE.

COMPUTE CN=MEAN(CN3, CN4, CN5, CN6, r.CN7R, CN8, CN9).
EXECUTE.


COMPUTE VI=MEAN(VI1, VI2, VI3, r.VI4R, r.VI5R, VI6, r.VI7R).
EXECUTE.


** Means and correlations
    
DESCRIPTIVES VARIABLES=HH ID CN VI
  /STATISTICS=MEAN STDDEV MIN MAX.

CORRELATIONS
  /VARIABLES= HH ID CN VI
  /PRINT=TWOTAIL NOSIG 
  /MISSING=PAIRWISE.


** reliability

** Honesty-humility

RELIABILITY
  /VARIABLES=r.HH1R r.HH2R r.HH3R r.HH4R r.HH7R HH8 r.HH9R HH10 HH5 HH6
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA.

** Identification

RELIABILITY
  /VARIABLES=H1 H2 H3
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA.

** Collective narcissism

RELIABILITY
  /VARIABLES=CN3 CN4 CN5 CN6 r.CN7R CN8 CN9
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA.

** Violent intentions

RELIABILITY
  /VARIABLES=VI1 VI2 VI3 r.VI4R r.VI5R VI6 r.VI7R
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA.


** checking for multivariate outliers

** Saving Mahalonobis distances

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT Ed
  /METHOD=ENTER ID HH CN VI
  /SAVE MAHAL.


** working out probability
COMPUTE Prob_Mah1=1- CDF.CHISQ(MAH_1,4).
EXECUTE.

**coding for MVO < .001 

IF  (Prob_Mah1 < .001) MVO=1.
EXECUTE.

IF  (Prob_Mah1 >= .001) MVO=0.
EXECUTE.



** Regression analyses
** Regressing VI on HH and ID


REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA CHANGE
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT VI
  /METHOD=ENTER HH ID.

** regressing CN on HH and ID

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA CHANGE
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT CN
  /METHOD=ENTER HH ID.


** stepwise regression model


REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA CHANGE
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT VI
  /METHOD=STEPWISE ID HH
  /METHOD=ENTER CN.


** Mediation analyses
Note that you should not paste syntax when conducting mediation analyses
Note that mediation analyses were conducted using model 4 i Hayes PROCESS add-on.

** recoding missing values as -999

RECODE A G Ed SES HH1R HH2R HH3R HH4R HH5 HH6 HH7R HH8 HH9R HH10 H1 H2 H3 CN3 CN4 CN5 CN6 CN7R CN8 
    CN9 VI1 VI2 VI3 VI4R VI5R VI6 VI7R r.CN7R r.HH1R r.HH2R r.HH3R r.HH4R r.HH7R r.HH9R r.VI4R r.VI5R 
    r.VI7R ID HH CN VI MAH_1 Prob_Mah1 MVO (MISSING=-999).
EXECUTE.

COMPUTE case=$CASENUM.
EXECUTE.


** The remaining analyses were conducted
